#include "v3.h"


V3::V3(float x, float y, float z) {

  xyz[0] = x;
  xyz[1] = y;
  xyz[2] = z;

}
  

ostream& operator<<(ostream& os, V3 v) {

  os 
    << v.xyz[0] << " "
    << v.xyz[1] << " "
    << v.xyz[2];

  return os;

}


float& V3::operator[](int i) {

  return xyz[i];

}

V3 V3::operator+(V3 v1) {

  V3 ret;
  ret[0] = xyz[0] + v1[0];
  ret[1] = xyz[1] + v1[1];
  ret[2] = xyz[2] + v1[2];
  return ret;

}

float V3::operator*(V3 v1) {


  return 
    xyz[0]*v1[0] + 
    xyz[1]*v1[1] + 
    xyz[2]*v1[2];

}
